package com.jpattern.orm.generator.wrapper;

import java.sql.Timestamp;

import org.joda.time.DateMidnight;
import org.joda.time.DateTimeZone;

/**
 * 
 * @author Francesco Cina'
 *
 * Mar 27, 2012
 */
public class JodaDateMidnightToTimestampWrapper implements TypeWrapper<DateMidnight, Timestamp> {

	@Override
	public Class<Timestamp> resultSetTypeToUse() {
		return Timestamp.class;
	}

	@Override
	public Class<DateMidnight> wrapperClass() {
		return DateMidnight.class;
	}

	@Override
	public DateMidnight wrap(final Timestamp value) {
		if (value==null) {
			return null;
		}
		return new DateMidnight(value.getTime(), DateTimeZone.UTC);
	}

	@Override
	public Timestamp unWrap(final DateMidnight value) {
		if (value==null) {
			return null;
		}
		return new Timestamp(value.getMillis());
	}

}
