package com.jpattern.orm.query.clause;

import java.util.List;

import com.jpattern.orm.query.INameSolverConsumer;
import com.jpattern.orm.query.IQueryRoot;
import com.jpattern.orm.query.IRenderableSqlObject;

/**
 * 
 * @author Francesco Cina
 *
 * 10/lug/2011
 */
public interface SetClause<T extends IQueryRoot> extends SqlClauseRoot<T>, IRenderableSqlObject, INameSolverConsumer {

	/**
	 * Express the new value of the objects property after the execution of the update.
	 * 
	 * @param property
	 * @param value
	 * @return
	 */
	SetClause<T> eq(String property, Object value);

	/**
	 * Append to the list all the values of the expression's elements
	 * @return
	 */
	public void appendValues(List<Object> values);
}
