package com.jpattern.orm.session;

import java.util.List;

import com.jpattern.orm.exception.OrmException;

/**
 * 
 * @author Francesco Cina'
 *
 * Dec 20, 2011
 */
public class NullSqlPerformerStrategy implements SqlPerformerStrategy {

	@Override
	public void execute(String sql, int timeout) throws OrmException {
	}

	@Override
	public <T> T query(SqlSelectQuery sqlSelectQuery, ResultSetReader<T> rse) throws OrmException {
		return null;
	}

	@Override
	public int update(String sql, int timeout, Object... args) throws OrmException {
		return 0;
	}

	@Override
	public int update(String sql, int timeout, GeneratedKeyReader generatedKeyReader, Object... args) throws OrmException {
		return 0;
	}

	@Override
	public int[] batchUpdate(List<String> sqls, int timeout) throws OrmException {
		return new int[0];
	}

	@Override
	public int[] batchUpdate(String sql, List<Object[]> args, int timeout) throws OrmException {
		return new int[0];
	}

	@Override
	public int[] batchUpdate(String sql, PreparedStatementCreator psc, int timeout) throws OrmException {
		return new int[0];
	}

}
